local statemachine = require("ai.statemachine")
local DL = require("design.DesignerLibrary")
local helper = require("son.helper")
local poilib = require("behavior.poi")
Brain_Boat = statemachine.StateMachine.New("SonBoat")
local Idle = Brain_Boat:State("Idle")
function Brain_Boat:SelectNextState(ai, global, constants)
  global.bIsInVehicle = ai:IsInVehicle()
  if not global.bIsInVehicle then
    return Idle
  end
  return Idle
end
return Brain_Boat
